org.jbpm.bpmn2.handler

## Class AbstractExceptionHandlingTaskHandler

- java.lang.Object
- - org.jbpm.bpmn2.handler.AbstractExceptionHandlingTaskHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler
  Direct Known Subclasses:
    LoggingTaskHandlerDecorator, SignallingTaskHandlerDecorator

      public abstract class AbstractExceptionHandlingTaskHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExceptionHandlingTaskHandler(Class<? extends org.kie.api.runtime.process.WorkItemHandler> originalTaskHandlerClass)`
    `AbstractExceptionHandlingTaskHandler(org.kie.api.runtime.process.WorkItemHandler originalTaskHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `org.kie.api.runtime.process.WorkItemHandler` | `getOriginalTaskHandler()`
    `abstract void` | `handleAbortException(Throwable cause, org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `abstract void` | `handleExecuteException(Throwable cause, org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractExceptionHandlingTaskHandler

          public AbstractExceptionHandlingTaskHandler(org.kie.api.runtime.process.WorkItemHandler originalTaskHandler)

    - #### AbstractExceptionHandlingTaskHandler

          public AbstractExceptionHandlingTaskHandler(Class<? extends org.kie.api.runtime.process.WorkItemHandler> originalTaskHandlerClass)

  - ### Method Detail

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                             org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                           org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### getOriginalTaskHandler

          public org.kie.api.runtime.process.WorkItemHandler getOriginalTaskHandler()

    - #### handleExecuteException

          public abstract void handleExecuteException(Throwable cause,
                                    org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

    - #### handleAbortException

          public abstract void handleAbortException(Throwable cause,
                                  org.kie.api.runtime.process.WorkItem workItem,
                                  org.kie.api.runtime.process.WorkItemManager manager)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.